### Class

# Gtk BinLayout

#### Description [src]

    final class Gtk.BinLayout : Gtk.LayoutManager {
      /* No available fields */
    }

`GtkBinLayout` is a `GtkLayoutManager` subclass useful for create “bins” of widgets.

`GtkBinLayout` will stack each child of a widget on top of each other, using the `GtkWidget:hexpand`, `GtkWidget:vexpand`, `GtkWidget:halign`, and `GtkWidget:valign` properties of each child to determine where they should be positioned.

#### Hierarchy

#### Ancestors

- GtkLayoutManager
- GObject

#### Constructors

###### gtk_bin_layout_new

Creates a new `GtkBinLayout` instance.

#### Class structure

    struct GtkBinLayoutClass {
      GtkLayoutManagerClass parent_class;

    }

###### Class members

`parent_class` |
    GtkLayoutManagerClass
| No description available.